/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { AspectListDialogComponentData } from './aspect-list-dialog-data.interface';
import * as i0 from "@angular/core";
export declare class AspectListDialogComponent implements OnInit {
    private dialog;
    data: AspectListDialogComponentData;
    title: string;
    description: string;
    currentNodeId: string;
    overTableMessage: string;
    currentAspectSelection: string[];
    constructor(dialog: MatDialogRef<AspectListDialogComponent>, data: AspectListDialogComponentData);
    ngOnInit(): void;
    onValueChanged(aspectList: string[]): void;
    close(): void;
    onCancel(): void;
    onApply(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AspectListDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AspectListDialogComponent, "adf-aspect-list-dialog", never, {}, {}, never, never, false>;
}
