/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { NodesApiService } from '../common/services/nodes-api.service';
import { Observable } from 'rxjs';
import { AspectListService } from './services/aspect-list.service';
import { MatCheckboxChange } from '@angular/material/checkbox';
import { AspectEntry } from '@alfresco/js-api';
import * as i0 from "@angular/core";
export declare class AspectListComponent implements OnInit, OnDestroy {
    private aspectListService;
    private nodeApiService;
    /** Node Id of the node that we want to update */
    nodeId: string;
    /** List of aspects' ids which should not be displayed. */
    excludedAspects?: string[];
    /** Emitted every time the user select a new aspect */
    valueChanged: EventEmitter<string[]>;
    propertyColumns: string[];
    aspects$: Observable<AspectEntry[]>;
    nodeAspects: string[];
    nodeAspectStatus: string[];
    notDisplayedAspects: string[];
    hasEqualAspect: boolean;
    private onDestroy$;
    constructor(aspectListService: AspectListService, nodeApiService: NodesApiService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    onCheckBoxClick(event: Event): void;
    onChange(change: MatCheckboxChange, prefixedName: string): void;
    reset(): void;
    clear(): void;
    getId(aspect: any): string;
    getTitle(aspect: any): string;
    private updateEqualityOfAspectList;
    static ɵfac: i0.ɵɵFactoryDeclaration<AspectListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AspectListComponent, "adf-aspect-list", never, { "nodeId": "nodeId"; "excludedAspects": "excludedAspects"; }, { "valueChanged": "valueChanged"; }, never, never, false>;
}
