/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnChanges } from '@angular/core';
import { MatSelect } from '@angular/material/select';
import { PathElement } from '@alfresco/js-api';
import { BreadcrumbComponent } from './breadcrumb.component';
import * as i0 from "@angular/core";
export declare class DropdownBreadcrumbComponent extends BreadcrumbComponent implements OnChanges {
    dropdown: MatSelect;
    currentNode: PathElement;
    previousNodes: PathElement[];
    /**
     * Calculate the current and previous nodes from the route array
     */
    protected recalculateNodes(): void;
    /**
     * Opens the node picker menu
     */
    open(): void;
    /**
     * Check if route has more than one element (means: we are not in the root directory)
     *
     * @returns `true` if there are previous nodes, otherwise `false`
     */
    hasPreviousNodes(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownBreadcrumbComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownBreadcrumbComponent, "adf-dropdown-breadcrumb", never, {}, {}, never, never, false>;
}
