/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { PersonEntry, Person, PersonPaging } from '@alfresco/js-api';
export declare const fakeEcmUser: Person;
export declare const fakeEcmAdminUser: {
    capabilities: {
        isAdmin: boolean;
    };
    id: string;
    firstName: string;
    lastName?: string;
    displayName?: string;
    description?: string;
    avatarId?: string;
    email: string;
    skypeId?: string;
    googleId?: string;
    instantMessageId?: string;
    jobTitle?: string;
    location?: string;
    company?: import("@alfresco/js-api").Company;
    mobile?: string;
    telephone?: string;
    statusUpdatedAt?: Date;
    userStatus?: string;
    enabled: boolean;
    emailNotificationsEnabled?: boolean;
    aspectNames?: string[];
    properties?: {
        [key: string]: string;
    };
};
export declare const fakeEcmUser2: {
    id: string;
    firstName: string;
    lastName: string;
    displayName: string;
    email: string;
    company: any;
    enabled: boolean;
    emailNotificationsEnabled: boolean;
};
export declare const fakeEcmUserNoImage: {
    id: string;
    firstName: string;
    lastName: string;
    description: string;
    avatarId: any;
    email: string;
    skypeId: string;
    googleId: string;
    instantMessageId: string;
    company: any;
    jobTitle: any;
    location: string;
    mobile: string;
    telephone: string;
    statusUpdatedAt: string;
    userStatus: string;
    enabled: boolean;
    emailNotificationsEnabled: boolean;
};
export declare const fakeEcmEditedUser: {
    id: string;
    firstName: any;
    lastName: string;
    description: string;
    avatarId: string;
    email: string;
    skypeId: string;
    googleId: string;
    instantMessageId: string;
    company: any;
    jobTitle: string;
    location: string;
    mobile: string;
    telephone: string;
    statusUpdatedAt: string;
    userStatus: string;
    enabled: boolean;
    emailNotificationsEnabled: boolean;
};
export declare const fakeEcmUserList: PersonPaging;
export declare const createNewPersonMock: {
    id: string;
    firstName: string;
    lastName: string;
    description: string;
    password: string;
    email: string;
};
export declare const getFakeUserWithContentAdminCapability: () => PersonEntry;
export declare const getFakeUserWithContentUserCapability: () => PersonEntry;
