import { Observable, Subject } from 'rxjs';
import { RepositoryInfo, SystemPropertiesRepresentation, DiscoveryApi } from '@alfresco/js-api';
import { AlfrescoApiService, BpmProductVersionModel, AuthenticationService } from '@alfresco/adf-core';
import * as i0 from "@angular/core";
export declare class DiscoveryApiService {
    private authenticationService;
    private alfrescoApiService;
    private _discoveryApi;
    get discoveryApi(): DiscoveryApi;
    /**
     * Gets product information for Content Services.
     */
    ecmProductInfo$: Subject<RepositoryInfo>;
    constructor(authenticationService: AuthenticationService, alfrescoApiService: AlfrescoApiService);
    /**
     * Gets product information for Content Services.
     *
     * @returns ProductVersionModel containing product details
     */
    getEcmProductInfo(): Observable<RepositoryInfo>;
    /**
     * Gets product information for Process Services.
     *
     * @returns ProductVersionModel containing product details
     */
    getBpmProductInfo(): Observable<BpmProductVersionModel>;
    getBPMSystemProperties(): Observable<SystemPropertiesRepresentation>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DiscoveryApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DiscoveryApiService>;
}
