import { FavoritesApi, NodePaging, FavoritePaging } from '@alfresco/js-api';
import { Observable } from 'rxjs';
import { AlfrescoApiService, UserPreferencesService } from '@alfresco/adf-core';
import * as i0 from "@angular/core";
export declare class FavoritesApiService {
    private apiService;
    private preferences;
    private _favoritesApi;
    get favoritesApi(): FavoritesApi;
    static remapEntry({ entry }: any): any;
    constructor(apiService: AlfrescoApiService, preferences: UserPreferencesService);
    remapFavoritesData(data?: FavoritePaging): NodePaging;
    remapFavoriteEntries(entries: any[]): any[];
    /**
     * Gets the favorites for a user.
     *
     * @param personId ID of the user
     * @param options Options supported by JS-API
     * @returns List of favorites
     */
    getFavorites(personId: string, options?: any): Observable<NodePaging>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FavoritesApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FavoritesApiService>;
}
