import { CardViewItem, MultiValuePipe, AppConfigService, DecimalNumberPipe, LogService } from '@alfresco/adf-core';
import { CardViewGroup, OrganisedPropertyGroup } from '../interfaces/content-metadata.interfaces';
import { Definition, Property as PropertyBase } from '@alfresco/js-api';
import * as i0 from "@angular/core";
export declare const RECOGNISED_ECM_TYPES: string[];
export declare class PropertyGroupTranslatorService {
    private multiValuePipe;
    private decimalNumberPipe;
    private appConfig;
    private logService;
    valueSeparator: string;
    constructor(multiValuePipe: MultiValuePipe, decimalNumberPipe: DecimalNumberPipe, appConfig: AppConfigService, logService: LogService);
    translateToCardViewGroups(propertyGroups: OrganisedPropertyGroup[], propertyValues: any, definition: Definition): CardViewGroup[];
    translateProperty(property: PropertyBase, startValue?: any, allowEditing?: boolean): CardViewItem;
    private translateArray;
    private translate;
    private transform;
    private isListOfValues;
    private getPropertyConstraints;
    private checkECMTypeValidity;
    private isEmpty;
    static ɵfac: i0.ɵɵFactoryDeclaration<PropertyGroupTranslatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PropertyGroupTranslatorService>;
}
