/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnChanges, NgZone, OnDestroy } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { NodeEntry, NodesApi } from '@alfresco/js-api';
import { AlfrescoApiService } from '@alfresco/adf-core';
import * as i0 from "@angular/core";
export declare class NodeSharedDirective implements OnChanges, OnDestroy {
    private dialog;
    private zone;
    private alfrescoApiService;
    isFile: boolean;
    isShared: boolean;
    /** Node to share. */
    node: NodeEntry;
    /** Prefix to add to the generated link. */
    baseShareUrl: string;
    private onDestroy$;
    _nodesApi: NodesApi;
    get nodesApi(): NodesApi;
    constructor(dialog: MatDialog, zone: NgZone, alfrescoApiService: AlfrescoApiService);
    ngOnDestroy(): void;
    shareNode(nodeEntry: NodeEntry): void;
    private getNodeInfo;
    private openShareLinkDialog;
    ngOnChanges(): void;
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeSharedDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NodeSharedDirective, "[adf-share]", ["adfShare"], { "node": "adf-share"; "baseShareUrl": "baseShareUrl"; }, {}, never, never, false>;
}
