/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { TypeEntry } from '@alfresco/js-api';
import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { ContentTypeDialogComponentData } from './content-type-metadata.interface';
import { ContentTypeService } from './content-type.service';
import * as i0 from "@angular/core";
export declare class ContentTypeDialogComponent implements OnInit {
    private dialog;
    data: ContentTypeDialogComponentData;
    private contentTypeService;
    title: string;
    description: string;
    nodeType: string;
    confirmMessage: string;
    currentContentType: TypeEntry;
    typeProperties: any[];
    propertyColumns: string[];
    constructor(dialog: MatDialogRef<ContentTypeDialogComponent>, data: ContentTypeDialogComponentData, contentTypeService: ContentTypeService);
    ngOnInit(): void;
    close(): void;
    onCancel(): void;
    onApply(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentTypeDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentTypeDialogComponent, "adf-content-type-dialog", never, {}, {}, never, never, false>;
}
