/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { NodesApiService } from '../../common/services/nodes-api.service';
import { DownloadZipService } from './services/download-zip.service';
import { ContentService } from '../../common/services/content.service';
import * as i0 from "@angular/core";
export declare class DownloadZipDialogComponent implements OnInit {
    private dialogRef;
    data: any;
    private downloadZipService;
    private nodeService;
    private contentService;
    cancelled: boolean;
    downloadId: string;
    constructor(dialogRef: MatDialogRef<DownloadZipDialogComponent>, data: any, downloadZipService: DownloadZipService, nodeService: NodesApiService, contentService: ContentService);
    ngOnInit(): void;
    cancelDownload(): void;
    downloadZip(nodeIds: string[]): void;
    waitAndDownload(downloadId: string, url: string, fileName: string): void;
    download(url: string, fileName: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DownloadZipDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DownloadZipDialogComponent, "adf-download-zip-dialog", never, {}, {}, never, never, false>;
}
