import { OnInit, EventEmitter } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { Node } from '@alfresco/js-api';
import { TranslationService } from '@alfresco/adf-core';
import { NodesApiService } from '../common/services/nodes-api.service';
import * as i0 from "@angular/core";
export declare class FolderDialogComponent implements OnInit {
    private formBuilder;
    private dialog;
    private nodesApi;
    private translation;
    data: any;
    form: UntypedFormGroup;
    folder: Node;
    /**
     * Emitted when the edit/create folder give error for example a folder with same name already exist
     */
    error: EventEmitter<any>;
    /**
     * Emitted when the edit/create folder is successfully created/modified
     */
    success: EventEmitter<any>;
    editTitle: string;
    createTitle: string;
    nodeType: string;
    constructor(formBuilder: UntypedFormBuilder, dialog: MatDialogRef<FolderDialogComponent>, nodesApi: NodesApiService, translation: TranslationService, data: any);
    get editing(): boolean;
    ngOnInit(): void;
    get name(): string;
    get title(): string;
    get description(): string;
    private get properties();
    private create;
    private edit;
    submit(): void;
    handleError(error: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<FolderDialogComponent, [null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FolderDialogComponent, "adf-folder-dialog", never, {}, { "error": "error"; "success": "success"; }, never, never, false>;
}
