/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { Node, NodesApi } from '@alfresco/js-api';
import { AlfrescoApiService } from '@alfresco/adf-core';
import * as i0 from "@angular/core";
export declare class NodeLockDialogComponent implements OnInit {
    private formBuilder;
    dialog: MatDialogRef<NodeLockDialogComponent>;
    private alfrescoApi;
    data: any;
    form: UntypedFormGroup;
    node: Node;
    nodeName: string;
    private _nodesApi;
    get nodesApi(): NodesApi;
    constructor(formBuilder: UntypedFormBuilder, dialog: MatDialogRef<NodeLockDialogComponent>, alfrescoApi: AlfrescoApiService, data: any);
    ngOnInit(): void;
    private get lockTimeInSeconds();
    private get nodeBodyLock();
    private toggleLock;
    submit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeLockDialogComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NodeLockDialogComponent, "adf-node-lock", never, {}, {}, never, never, false>;
}
