/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnChanges, EventEmitter, SimpleChanges } from '@angular/core';
import { FavoritesApi } from '@alfresco/js-api';
import { AlfrescoApiService } from '@alfresco/adf-core';
import { LibraryEntity } from '../interfaces/library-entity.interface';
import * as i0 from "@angular/core";
export declare class LibraryFavoriteDirective implements OnChanges {
    private alfrescoApiService;
    library: LibraryEntity;
    toggle: EventEmitter<any>;
    error: EventEmitter<any>;
    private targetLibrary;
    private _favoritesApi;
    get favoritesApi(): FavoritesApi;
    onClick(): void;
    constructor(alfrescoApiService: AlfrescoApiService);
    ngOnChanges(changes: SimpleChanges): void;
    isFavorite(): boolean;
    private markFavoriteLibrary;
    private addFavorite;
    private removeFavorite;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibraryFavoriteDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LibraryFavoriteDirective, "[adf-favorite-library]", ["favoriteLibrary"], { "library": "adf-favorite-library"; }, { "toggle": "toggle"; "error": "error"; }, never, never, false>;
}
