/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit, OnChanges, ComponentFactoryResolver, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class NodeCounterDirective implements OnInit, OnChanges {
    private resolver;
    viewContainerRef: ViewContainerRef;
    /** Number to display in the counter badge */
    counter: number;
    componentRef: NodeCounterComponent;
    constructor(resolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeCounterDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NodeCounterDirective, "[adf-node-counter]", never, { "counter": "adf-node-counter"; }, {}, never, never, false>;
}
export declare class NodeCounterComponent {
    counter: number;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeCounterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NodeCounterComponent, "adf-node-counter", never, {}, {}, never, never, false>;
}
