/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { NodeEntry, FavoritesApi } from '@alfresco/js-api';
import { AlfrescoApiService } from '@alfresco/adf-core';
import * as i0 from "@angular/core";
export declare class NodeFavoriteDirective implements OnChanges {
    private alfrescoApiService;
    favorites: any[];
    private _favoritesApi;
    get favoritesApi(): FavoritesApi;
    /** Array of nodes to toggle as favorites. */
    selection: NodeEntry[];
    /** Emitted when the favorite setting is complete. */
    toggle: EventEmitter<any>;
    /** Emitted when the favorite setting fails. */
    error: EventEmitter<any>;
    onClick(): void;
    constructor(alfrescoApiService: AlfrescoApiService);
    ngOnChanges(changes: SimpleChanges): void;
    toggleFavorite(): void;
    markFavoritesNodes(selection: NodeEntry[]): void;
    hasFavorites(): boolean;
    private getProcessBatch;
    private getFavorite;
    private createFavoriteBody;
    private getNodeType;
    private diff;
    private reduce;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeFavoriteDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NodeFavoriteDirective, "[adf-node-favorite]", ["adfFavorite"], { "selection": "adf-node-favorite"; }, { "toggle": "toggle"; "error": "error"; }, never, never, false>;
}
