/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter } from '@angular/core';
import { TrashcanApi, DeletedNodeEntry } from '@alfresco/js-api';
import { AlfrescoApiService, TranslationService } from '@alfresco/adf-core';
import { RestoreMessageModel } from '../interfaces/restore-message-model.interface';
import * as i0 from "@angular/core";
export declare class NodeRestoreDirective {
    private alfrescoApiService;
    private translation;
    private readonly restoreProcessStatus;
    _trashcanApi: TrashcanApi;
    get trashcanApi(): TrashcanApi;
    /** Array of deleted nodes to restore. */
    selection: DeletedNodeEntry[];
    /** Emitted when restoration is complete. */
    restore: EventEmitter<RestoreMessageModel>;
    onClick(): void;
    constructor(alfrescoApiService: AlfrescoApiService, translation: TranslationService);
    private recover;
    private restoreNodesBatch;
    private getNodesWithPath;
    private getDeletedNodes;
    private restoreNode;
    private diff;
    private processStatus;
    private getRestoreMessage;
    private notification;
    private reset;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeRestoreDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NodeRestoreDirective, "[adf-restore]", never, { "selection": "adf-restore"; }, { "restore": "restore"; }, never, never, false>;
}
