/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit, OnChanges, SimpleChanges, EventEmitter, OnDestroy } from '@angular/core';
import { SearchHeaderQueryBuilderService } from '../../../search/services/search-header-query-builder.service';
import { FilterSearch } from './../../../search/models/filter-search.interface';
import * as i0 from "@angular/core";
export declare class FilterHeaderComponent implements OnInit, OnChanges, OnDestroy {
    private documentList;
    private searchFilterQueryBuilder;
    /** (optional) Initial filter value to sort . */
    value: any;
    /** The id of the current folder of the document list. */
    currentFolderId: string;
    /** Emitted when a filter value is selected */
    filterSelection: EventEmitter<FilterSearch[]>;
    isFilterServiceActive: boolean;
    private onDestroy$;
    constructor(documentList: any, searchFilterQueryBuilder: SearchHeaderQueryBuilderService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onFilterSelectionChange(): void;
    resetFilterHeader(): void;
    initDataPagination(): void;
    initDataSorting(): void;
    private configureSearchParent;
    private initSearchHeader;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterHeaderComponent, "adf-filter-header", never, { "value": "value"; "currentFolderId": "currentFolderId"; }, { "filterSelection": "filterSelection"; }, never, never, false>;
}
