/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit, ElementRef, OnDestroy } from '@angular/core';
import { NodeEntry, Site } from '@alfresco/js-api';
import { ShareDataRow } from '../../data/share-data-row.model';
import { NodesApiService } from '../../../common/services/nodes-api.service';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class LibraryNameColumnComponent implements OnInit, OnDestroy {
    private element;
    private nodesApiService;
    context: any;
    displayTooltip$: BehaviorSubject<string>;
    displayText$: BehaviorSubject<string>;
    node: NodeEntry;
    private onDestroy$;
    constructor(element: ElementRef, nodesApiService: NodesApiService);
    ngOnInit(): void;
    protected updateValue(): void;
    onClick(): void;
    makeLibraryTooltip(library: any): string;
    makeLibraryTitle(library: Site, rows: Array<ShareDataRow>): string;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibraryNameColumnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibraryNameColumnComponent, "adf-library-name-column", never, { "context": "context"; }, {}, never, never, false>;
}
