/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { DataRow, ThumbnailService } from '@alfresco/adf-core';
import { NodeEntry } from '@alfresco/js-api';
import { PermissionStyleModel } from './../models/permissions-style.model';
import { ContentService } from './../../common/services/content.service';
export declare const ERR_OBJECT_NOT_FOUND: string;
export declare class ShareDataRow implements DataRow {
    private obj;
    private contentService;
    private permissionsStyle;
    private thumbnailService?;
    private allowDropFiles?;
    cache: {
        [key: string]: any;
    };
    isSelected: boolean;
    isDropTarget: boolean;
    cssClass: string;
    id: string;
    get node(): NodeEntry;
    set node(value: NodeEntry);
    constructor(obj: NodeEntry, contentService: ContentService, permissionsStyle: PermissionStyleModel[], thumbnailService?: ThumbnailService, allowDropFiles?: boolean);
    checkNodeTypeAndPermissions(nodeEntry: NodeEntry): boolean;
    getPermissionClass(nodeEntity: NodeEntry): string;
    private applyPermissionStyleToFile;
    private applyPermissionStyleToFolder;
    isFolderAndHasPermissionToUpload(nodeEntry: NodeEntry): boolean;
    isFileAndHasParentFolderPermissionToUpload(nodeEntry: NodeEntry): boolean;
    isFile(nodeEntry: NodeEntry): boolean;
    isFolder(nodeEntry: NodeEntry): boolean;
    cacheValue(key: string, value: any): any;
    getValue(key: string): any;
    imageErrorResolver(): any;
    hasValue(key: string): boolean;
    getId(): string;
}
