/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ElementRef, EventEmitter } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { Node } from '@alfresco/js-api';
import { ContentService } from '../common/services/content.service';
import * as i0 from "@angular/core";
export declare class FolderEditDirective {
    dialogRef: MatDialog;
    elementRef: ElementRef;
    content: ContentService;
    /** Folder node to edit. */
    folder: Node;
    /** Emitted when an error occurs (eg, a folder with same name already exists). */
    error: EventEmitter<any>;
    /** Title of folder edit dialog. */
    title: string;
    /** Emitted when the folder has been edited successfully. */
    success: EventEmitter<Node>;
    onClick(event: any): void;
    constructor(dialogRef: MatDialog, elementRef: ElementRef, content: ContentService);
    private get dialogConfig();
    private openDialog;
    static ɵfac: i0.ɵɵFactoryDeclaration<FolderEditDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FolderEditDirective, "[adf-edit-folder]", never, { "folder": "adf-edit-folder"; "title": "title"; }, { "error": "error"; "success": "success"; }, never, never, false>;
}
