import { ContentIncludeQuery, Group, GroupEntry, GroupsApi } from '@alfresco/js-api';
import { AlfrescoApiService } from '@alfresco/adf-core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class GroupService {
    private alfrescoApiService;
    private _groupsApi;
    get groupsApi(): GroupsApi;
    constructor(alfrescoApiService: AlfrescoApiService);
    listAllGroupMembershipsForPerson(personId: string, opts?: any, accumulator?: any[]): Promise<GroupEntry[]>;
    /**
     * Returns group for specified id.
     *
     * @param id id of group to return.
     * @param opts additional query parameters
     * @returns Observable<GroupEntry> group for specified id.
     */
    getGroup(id: string, opts?: ContentIncludeQuery): Observable<GroupEntry>;
    /**
     * Updates specified group.
     *
     * @param group group to update.
     * @param opts additional query parameters
     * @returns Observable<GroupEntry> updated group.
     */
    updateGroup(group: Group, opts?: ContentIncludeQuery): Observable<GroupEntry>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GroupService>;
}
