/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Node } from '@alfresco/js-api';
import { EventEmitter, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { NewVersionUploaderDialogData, NewVersionUploaderData } from './models';
import * as i0 from "@angular/core";
export declare class NewVersionUploaderDialogComponent implements OnInit {
    data: NewVersionUploaderDialogData;
    private dialogRef;
    /**
     * Dialog title to show into the header.
     * If data.title is not provided, a default title is set
     */
    title: string;
    /** Emitted when an action is done. */
    dialogAction: EventEmitter<NewVersionUploaderData>;
    /** Emitted when an error occurs. */
    uploadError: EventEmitter<any>;
    constructor(data: NewVersionUploaderDialogData, dialogRef: MatDialogRef<NewVersionUploaderDialogComponent>);
    ngOnInit(): void;
    private setDialogTitle;
    handleUpload(newFileVersion: any): void;
    handleCancel(): void;
    onUploadError(error: any): void;
    onViewingVersion(versionId: string): void;
    refresh(node: Node): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewVersionUploaderDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NewVersionUploaderDialogComponent, "adf-new-version-uploader-dialog", never, {}, { "dialogAction": "dialogAction"; "uploadError": "uploadError"; }, never, never, false>;
}
