/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Node, NodeEntry } from '@alfresco/js-api';
import { EventEmitter, OnInit } from '@angular/core';
import { NodePermissionService } from '../../services/node-permission.service';
import { RoleModel } from '../../models/role.model';
import { ContentService } from '../../../common/services/content.service';
import * as i0 from "@angular/core";
export declare class AddPermissionComponent implements OnInit {
    private nodePermissionService;
    private contentService;
    /** ID of the target node. */
    nodeId: string;
    /** Emitted when the node is updated successfully. */
    success: EventEmitter<Node>;
    /** Emitted when an error occurs during the update. */
    error: EventEmitter<any>;
    selectedItems: NodeEntry[];
    currentNode: Node;
    currentNodeRoles: RoleModel[];
    constructor(nodePermissionService: NodePermissionService, contentService: ContentService);
    ngOnInit(): void;
    onSelect(selection: NodeEntry[]): void;
    isAddEnabled(): boolean;
    applySelection(): void;
    private transformNodeToPermissionElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddPermissionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddPermissionComponent, "adf-add-permission", never, { "nodeId": "nodeId"; }, { "success": "success"; "error": "error"; }, never, never, false>;
}
