/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { SearchRequest } from '@alfresco/js-api';
import { InjectionToken } from '@angular/core';
import { SearchConfigurationInterface } from '../../../common/interfaces/search-configuration.interface';
import * as i0 from "@angular/core";
export declare const SEARCH_QUERY_TOKEN: InjectionToken<QueryProvider>;
export interface QueryProvider {
    query: string;
}
export declare class SearchPermissionConfigurationService implements SearchConfigurationInterface {
    private queryProvider;
    constructor(queryProvider: QueryProvider);
    generateQueryBody(searchTerm: string, maxResults: number, skipCount: number): SearchRequest;
    private getQuery;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchPermissionConfigurationService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SearchPermissionConfigurationService>;
}
