/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter } from '@angular/core';
import { Node } from '@alfresco/js-api';
import { ContentService } from '../../common/services/content.service';
import { NodesApiService } from '../../common/services/nodes-api.service';
import * as i0 from "@angular/core";
export declare class InheritPermissionDirective {
    private nodeService;
    private contentService;
    /** ID of the node to add/remove inherited permissions. */
    nodeId: string;
    /** Emitted when the node is updated. */
    updated: EventEmitter<Node>;
    /** Emitted when an error occurs. */
    error: EventEmitter<any>;
    constructor(nodeService: NodesApiService, contentService: ContentService);
    onInheritPermissionClicked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InheritPermissionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InheritPermissionDirective, "button[adf-inherit-permission], mat-button-toggle[adf-inherit-permission]", never, { "nodeId": "nodeId"; }, { "updated": "updated"; "error": "error"; }, never, never, false>;
}
