/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, OnChanges } from '@angular/core';
import { Node } from '@alfresco/js-api';
import { PermissionDisplayModel } from '../../models/permission.model';
import { RoleModel } from '../../models/role.model';
import * as i0 from "@angular/core";
export declare class PermissionContainerComponent implements OnChanges {
    node: Node;
    permissions: PermissionDisplayModel[];
    roles: RoleModel[];
    isReadOnly: boolean;
    showLocation: boolean;
    selectionMode: string;
    /** Emitted when the permission is updated. */
    update: EventEmitter<{
        role: string;
        permission: PermissionDisplayModel;
    }>;
    updateAll: EventEmitter<string>;
    /** Emitted when the permission is updated. */
    delete: EventEmitter<PermissionDisplayModel>;
    /** Emitted when an error occurs. */
    error: EventEmitter<any>;
    bulkSelectionRole: string;
    ngOnChanges(): void;
    updateRole(role: string, permission: PermissionDisplayModel): void;
    bulkRoleUpdate(role: string): void;
    removePermission(event: Event, permissionRow: PermissionDisplayModel): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PermissionContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PermissionContainerComponent, "adf-permission-container", never, { "node": "node"; "permissions": "permissions"; "roles": "roles"; "isReadOnly": "isReadOnly"; "showLocation": "showLocation"; "selectionMode": "selectionMode"; }, { "update": "update"; "updateAll": "updateAll"; "delete": "delete"; "error": "error"; }, never, never, false>;
}
