/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ObjectDataRow } from '@alfresco/adf-core';
import { PermissionElement } from '@alfresco/js-api';
import { EventEmitter, OnInit } from '@angular/core';
import { PermissionDisplayModel } from '../../models/permission.model';
import { PermissionListService } from './permission-list.service';
import * as i0 from "@angular/core";
export declare class PermissionListComponent implements OnInit {
    readonly permissionList: PermissionListService;
    /** ID of the node whose permissions you want to show. */
    nodeId: string;
    /** Emitted when the permission is updated. */
    update: EventEmitter<PermissionElement>;
    /** Emitted when an error occurs. */
    error: EventEmitter<any>;
    selectedPermissions: PermissionDisplayModel[];
    constructor(permissionList: PermissionListService);
    ngOnInit(): void;
    openAddPermissionDialog(): void;
    onSelect(selections: ObjectDataRow[]): void;
    deleteSelection(): void;
    updatePermission({ role, permission }: {
        role: any;
        permission: any;
    }): void;
    deletePermission(permission: PermissionDisplayModel): void;
    updateAllPermission(role: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PermissionListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PermissionListComponent, "adf-permission-list", never, { "nodeId": "nodeId"; }, { "update": "update"; "error": "error"; }, never, never, false>;
}
