/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { AfterViewInit, ElementRef, OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { ConfigurableFocusTrapFactory } from '@angular/cdk/a11y';
import * as i0 from "@angular/core";
export declare class PopOverDirective implements OnInit, OnDestroy, AfterViewInit {
    private element;
    private overlay;
    private vcr;
    private focusTrapFactory;
    get open(): boolean;
    popOver: TemplateRef<any>;
    target: HTMLElement;
    panelClass: string;
    autofocusedElementSelector: string;
    private _open;
    private destroy$;
    private overlayRef;
    private focusTrap;
    constructor(element: ElementRef, overlay: Overlay, vcr: ViewContainerRef, focusTrapFactory: ConfigurableFocusTrapFactory);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private createOverlay;
    private toggleOverlay;
    private attachOverlay;
    private detachOverlay;
    private preventDefaultForEnter;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopOverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PopOverDirective, "[adf-pop-over]", ["adfPopOver"], { "popOver": "adf-pop-over"; "target": "target"; "panelClass": "panelClass"; "autofocusedElementSelector": "autofocusedElementSelector"; }, {}, never, never, false>;
}
