/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { User } from '@alfresco/adf-core';
import { Group, NodeEntry } from '@alfresco/js-api';
import { OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { NodePermissionService } from '../../services/node-permission.service';
import * as i0 from "@angular/core";
export declare class UserIconColumnComponent implements OnInit {
    private nodePermissionService;
    context: any;
    node: NodeEntry;
    selected: boolean;
    displayText$: BehaviorSubject<Group | User>;
    group: boolean;
    get isSelected(): boolean;
    constructor(nodePermissionService: NodePermissionService);
    ngOnInit(): void;
    private isGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserIconColumnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserIconColumnComponent, "adf-user-icon-column", never, { "context": "context"; "node": "node"; "selected": "selected"; }, {}, never, never, false>;
}
