/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { MatCheckboxChange } from '@angular/material/checkbox';
import { SearchWidget } from '../../models/search-widget.interface';
import { SearchWidgetSettings } from '../../models/search-widget-settings.interface';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { SearchFilterList } from '../../models/search-filter-list.model';
import { TranslationService } from '@alfresco/adf-core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export interface SearchListOption {
    name: string;
    value: string;
    checked: boolean;
}
export declare class SearchCheckListComponent implements SearchWidget, OnInit {
    private translationService;
    id: string;
    settings?: SearchWidgetSettings;
    context?: SearchQueryBuilderService;
    options: SearchFilterList<SearchListOption>;
    operator: string;
    startValue: SearchListOption;
    pageSize: number;
    isActive: boolean;
    enableChangeUpdate: boolean;
    displayValue$: Subject<string>;
    constructor(translationService: TranslationService);
    ngOnInit(): void;
    clear(): void;
    clearOptions(): void;
    reset(): void;
    updateDisplayValue(): void;
    changeHandler(event: MatCheckboxChange, option: any): void;
    hasValidValue(): boolean;
    getCurrentValue(): string[];
    setValue(value: any): void;
    private getCheckedValues;
    submitValues(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchCheckListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchCheckListComponent, "adf-search-check-list", never, {}, {}, never, never, false>;
}
