/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ElementRef, OnInit, OnDestroy, EventEmitter, SimpleChanges, OnChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatAutocompleteSelectedEvent } from '@angular/material/autocomplete';
import { MatChipInputEvent } from '@angular/material/chips';
import { Observable } from 'rxjs';
import { AutocompleteOption } from '../../models/autocomplete-option.interface';
import * as i0 from "@angular/core";
export declare class SearchChipAutocompleteInputComponent implements OnInit, OnDestroy, OnChanges {
    optionInput: ElementRef<HTMLInputElement>;
    autocompleteOptions: AutocompleteOption[];
    onReset$: Observable<void>;
    allowOnlyPredefinedValues: boolean;
    placeholder: string;
    compareOption?: (option1: AutocompleteOption, option2: AutocompleteOption) => boolean;
    formatChipValue?: (option: string) => string;
    filter: (options: AutocompleteOption[], value: string) => AutocompleteOption[];
    optionsChanged: EventEmitter<AutocompleteOption[]>;
    inputChanged: EventEmitter<string>;
    readonly separatorKeysCodes: readonly [13];
    formCtrl: FormControl<string>;
    filteredOptions: AutocompleteOption[];
    selectedOptions: AutocompleteOption[];
    tooltipShowDelay: number;
    private onDestroy$;
    private _activeAnyOption;
    set activeAnyOption(active: boolean);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    add(event: MatChipInputEvent): void;
    remove(value: AutocompleteOption): void;
    selected(event: MatAutocompleteSelectedEvent): void;
    private isAdded;
    private isExists;
    private reset;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchChipAutocompleteInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchChipAutocompleteInputComponent, "adf-search-chip-autocomplete-input", never, { "autocompleteOptions": "autocompleteOptions"; "onReset$": "onReset$"; "allowOnlyPredefinedValues": "allowOnlyPredefinedValues"; "placeholder": "placeholder"; "compareOption": "compareOption"; "formatChipValue": "formatChipValue"; "filter": "filter"; }, { "optionsChanged": "optionsChanged"; "inputChanged": "inputChanged"; }, never, never, false>;
}
