/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { SearchDateRange } from './search-date-range/search-date-range';
import { SearchWidget } from '../../models/search-widget.interface';
import { SearchWidgetSettings } from '../../models/search-widget-settings.interface';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { TranslationService } from '@alfresco/adf-core';
import * as i0 from "@angular/core";
export declare class SearchDateRangeTabbedComponent implements SearchWidget, OnInit {
    private translateService;
    displayValue$: Subject<string>;
    id: string;
    startValue: SearchDateRange;
    settings?: SearchWidgetSettings;
    context?: SearchQueryBuilderService;
    fields: string[];
    tabsValidity: {
        [key: string]: boolean;
    };
    combinedQuery: string;
    combinedDisplayValue: string;
    private value;
    private queryMapByField;
    private displayValueMapByField;
    constructor(translateService: TranslationService);
    ngOnInit(): void;
    private setDefaultDateFormatSettings;
    getCurrentValue(): {
        [key: string]: Partial<SearchDateRange>;
    };
    hasValidValue(): boolean;
    reset(): void;
    setValue(value: {
        [key: string]: SearchDateRange;
    }): void;
    submitValues(): void;
    onDateRangedValueChanged(value: Partial<SearchDateRange>, field: string): void;
    private generateQuery;
    private generateDisplayValue;
    private updateQuery;
    private updateDisplayValue;
    private getDisplayLabelForField;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchDateRangeTabbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchDateRangeTabbedComponent, "adf-search-date-range-tabbed", never, {}, {}, never, never, false>;
}
