import { FacetField } from '../../models/facet-field.interface';
import { MatCheckboxChange } from '@angular/material/checkbox';
import { FacetFieldBucket } from '../../models/facet-field-bucket.interface';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { SearchFacetFiltersService } from '../../services/search-facet-filters.service';
import { FacetWidget } from '../../models/facet-widget.interface';
import { TranslationService } from '@alfresco/adf-core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SearchFacetFieldComponent implements FacetWidget {
    queryBuilder: SearchQueryBuilderService;
    private searchFacetFiltersService;
    private translationService;
    field: FacetField;
    displayValue$: Subject<string>;
    constructor(queryBuilder: SearchQueryBuilderService, searchFacetFiltersService: SearchFacetFiltersService, translationService: TranslationService);
    get canUpdateOnChange(): boolean;
    onToggleBucket(event: MatCheckboxChange, field: FacetField, bucket: FacetFieldBucket): void;
    selectFacetBucket(field: FacetField, bucket: FacetFieldBucket): void;
    unselectFacetBucket(field: FacetField, bucket: FacetFieldBucket): void;
    canResetSelectedBuckets(field: FacetField): boolean;
    resetSelectedBuckets(field: FacetField): void;
    getBucketCountDisplay(bucket: FacetFieldBucket): string;
    updateDisplayValue(): void;
    reset(): void;
    submitValues(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchFacetFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchFacetFieldComponent, "adf-search-facet-field", never, { "field": "field"; }, {}, never, never, false>;
}
