/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { Observable, Subject } from 'rxjs';
import { SearchWidget } from '../../models/search-widget.interface';
import { SearchWidgetSettings } from '../../models/search-widget-settings.interface';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { SearchFilterList } from '../../models/search-filter-list.model';
import { TagService } from '../../../tag/services/tag.service';
import { CategoryService } from '../../../category/services/category.service';
import { AutocompleteOption } from '../../models/autocomplete-option.interface';
import * as i0 from "@angular/core";
export declare class SearchFilterAutocompleteChipsComponent implements SearchWidget, OnInit {
    private tagService;
    private categoryService;
    id: string;
    settings?: SearchWidgetSettings;
    context?: SearchQueryBuilderService;
    options: SearchFilterList<AutocompleteOption[]>;
    startValue: AutocompleteOption[];
    displayValue$: Subject<string>;
    selectedOptions: AutocompleteOption[];
    enableChangeUpdate: boolean;
    private resetSubject$;
    reset$: Observable<void>;
    private autocompleteOptionsSubject$;
    autocompleteOptions$: Observable<AutocompleteOption[]>;
    constructor(tagService: TagService, categoryService: CategoryService);
    ngOnInit(): void;
    reset(): void;
    submitValues(): void;
    hasValidValue(): boolean;
    getCurrentValue(): AutocompleteOption[];
    onOptionsChange(selectedOptions: AutocompleteOption[]): void;
    setValue(value: AutocompleteOption[]): void;
    onInputChange(value: string): void;
    optionComparator(option1: AutocompleteOption, option2: AutocompleteOption): boolean;
    private updateQuery;
    private setOptions;
    private searchForExistingCategories;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchFilterAutocompleteChipsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchFilterAutocompleteChipsComponent, "adf-search-filter-autocomplete-chips", never, {}, {}, never, never, false>;
}
