/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ElementRef } from '@angular/core';
import { ConfigurableFocusTrap, ConfigurableFocusTrapFactory } from '@angular/cdk/a11y';
import { MatMenuTrigger } from '@angular/material/menu';
import { TabbedFacetField } from '../../../models/tabbed-facet-field.interface';
import * as i0 from "@angular/core";
export declare class SearchFacetChipTabbedComponent {
    private focusTrapFactory;
    tabbedFacet: TabbedFacetField;
    menuContainer: ElementRef;
    menuTrigger: MatMenuTrigger;
    private resetSubject$;
    private applySubject$;
    displayValue: string;
    reset$: import("rxjs").Observable<void>;
    apply$: import("rxjs").Observable<void>;
    focusTrap: ConfigurableFocusTrap;
    chipIcon: string;
    isPopulated: boolean;
    constructor(focusTrapFactory: ConfigurableFocusTrapFactory);
    onMenuOpen(): void;
    onClosed(): void;
    onRemove(): void;
    onApply(): void;
    onEnterKeydown(): void;
    onEscKeydown(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchFacetChipTabbedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchFacetChipTabbedComponent, "adf-search-facet-chip-tabbed", never, { "tabbedFacet": "tabbedFacet"; }, {}, never, never, false>;
}
