/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { Observable } from 'rxjs';
import { SearchQueryBuilderService } from '../../../services/search-query-builder.service';
import { FacetWidget } from '../../../models/facet-widget.interface';
import { TranslationService } from '@alfresco/adf-core';
import { AutocompleteOption } from '../../../models/autocomplete-option.interface';
import { TabbedFacetField } from '../../../models/tabbed-facet-field.interface';
import { SearchFacetFiltersService } from '../../../services/search-facet-filters.service';
import * as i0 from "@angular/core";
export declare class SearchFacetTabbedContentComponent implements OnInit, OnDestroy, OnChanges, FacetWidget {
    private queryBuilder;
    private translationService;
    private searchFacetFiltersService;
    tabbedFacet: TabbedFacetField;
    onReset$: Observable<void>;
    onApply$: Observable<void>;
    isPopulated: EventEmitter<boolean>;
    displayValue$: EventEmitter<string>;
    private resetSubject$;
    private onDestroy$;
    reset$: Observable<void>;
    chipIcon: string;
    autocompleteOptions: {};
    selectedOptions: {};
    constructor(queryBuilder: SearchQueryBuilderService, translationService: TranslationService, searchFacetFiltersService: SearchFacetFiltersService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onOptionsChange(selectedOptions: AutocompleteOption[], field: string): void;
    updateDisplayValue(): void;
    reset(): void;
    submitValues(): void;
    optionComparator(option1: AutocompleteOption, option2: AutocompleteOption): boolean;
    private updateUserFacetBuckets;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchFacetTabbedContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchFacetTabbedContentComponent, "adf-search-facet-tabbed-content", never, { "tabbedFacet": "tabbedFacet"; "onReset$": "onReset$"; "onApply$": "onApply$"; }, { "isPopulated": "isPopulated"; "displayValue$": "displayValue$"; }, never, never, false>;
}
