/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnDestroy, OnInit } from '@angular/core';
import { SearchFacetFiltersService } from '../../services/search-facet-filters.service';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import * as i0 from "@angular/core";
export declare class SearchFilterChipsComponent implements OnInit, OnDestroy {
    queryBuilder: SearchQueryBuilderService;
    facetFiltersService: SearchFacetFiltersService;
    private onDestroy$;
    /** Toggles whether to show or not the context facet filters. */
    showContextFacets: boolean;
    facetChipTabbedId: string;
    constructor(queryBuilder: SearchQueryBuilderService, facetFiltersService: SearchFacetFiltersService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchFilterChipsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchFilterChipsComponent, "adf-search-filter-chips", never, { "showContextFacets": "showContextFacets"; }, {}, never, never, false>;
}
