/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { SearchWidget } from '../../models/search-widget.interface';
import { SearchWidgetSettings } from '../../models/search-widget-settings.interface';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { Subject } from 'rxjs';
import { TranslationService } from '@alfresco/adf-core';
import * as i0 from "@angular/core";
export declare enum LogicalSearchFields {
    MATCH_ALL = "matchAll",
    MATCH_ANY = "matchAny",
    EXCLUDE = "exclude",
    MATCH_EXACT = "matchExact"
}
export declare type LogicalSearchConditionEnumValuedKeys = {
    [T in LogicalSearchFields]: string;
};
export interface LogicalSearchCondition extends LogicalSearchConditionEnumValuedKeys {
}
export declare class SearchLogicalFilterComponent implements SearchWidget, OnInit {
    private translationService;
    id: string;
    settings?: SearchWidgetSettings;
    context?: SearchQueryBuilderService;
    startValue: string;
    searchCondition: LogicalSearchCondition;
    fields: string[];
    LogicalSearchFields: typeof LogicalSearchFields;
    displayValue$: Subject<string>;
    constructor(translationService: TranslationService);
    ngOnInit(): void;
    onInputChange(): void;
    submitValues(): void;
    hasValidValue(): boolean;
    getCurrentValue(): LogicalSearchCondition;
    setValue(value: LogicalSearchCondition): void;
    reset(): void;
    private updateDisplayValue;
    private clearSearchInputs;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchLogicalFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchLogicalFilterComponent, "adf-search-logical-filter", never, {}, {}, never, never, false>;
}
