/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { UntypedFormControl, UntypedFormGroup, Validators } from '@angular/forms';
import { SearchWidget } from '../../models/search-widget.interface';
import { SearchWidgetSettings } from '../../models/search-widget-settings.interface';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { LiveErrorStateMatcher } from '../../forms/live-error-state-matcher';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SearchNumberRangeComponent implements SearchWidget, OnInit {
    from: UntypedFormControl;
    to: UntypedFormControl;
    form: UntypedFormGroup;
    matcher: LiveErrorStateMatcher;
    id: string;
    settings?: SearchWidgetSettings;
    context?: SearchQueryBuilderService;
    field: string;
    format: string;
    isActive: boolean;
    startValue: any;
    validators: Validators;
    enableChangeUpdate: boolean;
    displayValue$: Subject<string>;
    ngOnInit(): void;
    formValidator(formGroup: UntypedFormGroup): {
        mismatch: boolean;
    };
    apply(model: {
        from: string;
        to: string;
    }, isValid: boolean): void;
    private formatString;
    submitValues(): void;
    hasValidValue(): boolean;
    getCurrentValue(): any;
    updateDisplayValue(): void;
    setValue(value: any): void;
    clear(): void;
    reset(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchNumberRangeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchNumberRangeComponent, "adf-search-number-range", never, {}, {}, never, never, false>;
}
