/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { MatRadioChange } from '@angular/material/radio';
import { SearchWidget } from '../../models/search-widget.interface';
import { SearchWidgetSettings } from '../../models/search-widget-settings.interface';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { SearchFilterList } from '../../models/search-filter-list.model';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export interface SearchRadioOption {
    name: string;
    value: string;
}
export declare class SearchRadioComponent implements SearchWidget, OnInit {
    /** The value of the selected radio button. */
    value: string;
    id: string;
    settings: SearchWidgetSettings;
    context: SearchQueryBuilderService;
    options: SearchFilterList<SearchRadioOption>;
    pageSize: number;
    isActive: boolean;
    startValue: any;
    enableChangeUpdate: boolean;
    displayValue$: Subject<string>;
    constructor();
    ngOnInit(): void;
    private getSelectedValue;
    submitValues(): void;
    hasValidValue(): boolean;
    setValue(newValue: string): void;
    getCurrentValue(): string;
    updateDisplayValue(): void;
    changeHandler(event: MatRadioChange): void;
    clear(): void;
    reset(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchRadioComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchRadioComponent, "adf-search-radio", never, { "value": "value"; }, {}, never, never, false>;
}
