/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { SearchWidget } from '../../models/search-widget.interface';
import { SearchWidgetSettings } from '../../models/search-widget-settings.interface';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { MatSliderChange } from '@angular/material/slider';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SearchSliderComponent implements SearchWidget, OnInit {
    isActive?: boolean;
    startValue: any;
    id: string;
    settings: SearchWidgetSettings;
    context: SearchQueryBuilderService;
    step: number;
    min: number;
    max: number;
    thumbLabel: boolean;
    enableChangeUpdate: boolean;
    displayValue$: Subject<string>;
    /** The numeric value represented by the slider. */
    value: number | null;
    ngOnInit(): void;
    clear(): void;
    reset(): void;
    onChangedHandler(event: MatSliderChange): void;
    submitValues(): void;
    hasValidValue(): boolean;
    getCurrentValue(): number;
    setValue(value: any): void;
    private updateQuery;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchSliderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchSliderComponent, "adf-search-slider", never, { "value": "value"; }, {}, never, never, false>;
}
