/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { SearchSortingDefinition } from '../../models/search-sorting-definition.interface';
import * as i0 from "@angular/core";
export declare class SearchSortingPickerComponent implements OnInit {
    private queryBuilder;
    options: SearchSortingDefinition[];
    value: string;
    ascending: boolean;
    constructor(queryBuilder: SearchQueryBuilderService);
    ngOnInit(): void;
    onValueChanged(key: string): void;
    onSortingChanged(ascending: boolean): void;
    private findOptionByKey;
    private applySorting;
    private getSortingOrder;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchSortingPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchSortingPickerComponent, "adf-search-sorting-picker", never, {}, {}, never, never, false>;
}
