/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { OnInit } from '@angular/core';
import { SearchWidget } from '../../models/search-widget.interface';
import { SearchWidgetSettings } from '../../models/search-widget-settings.interface';
import { SearchQueryBuilderService } from '../../services/search-query-builder.service';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SearchTextComponent implements SearchWidget, OnInit {
    /** The content of the text box. */
    value: string;
    id: string;
    settings: SearchWidgetSettings;
    context: SearchQueryBuilderService;
    startValue: string;
    isActive: boolean;
    enableChangeUpdate: boolean;
    displayValue$: Subject<string>;
    ngOnInit(): void;
    clear(): void;
    reset(): void;
    onChangedHandler(event: any): void;
    private updateQuery;
    submitValues(): void;
    hasValidValue(): boolean;
    getCurrentValue(): string;
    setValue(value: string): void;
    private getSearchPrefix;
    private getSearchSuffix;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchTextComponent, "adf-search-text", never, { "value": "value"; }, {}, never, never, false>;
}
