/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ViewContainerRef, OnInit, OnDestroy, ComponentRef, ComponentFactoryResolver, SimpleChanges, OnChanges } from '@angular/core';
import { SearchFilterService } from '../../services/search-filter.service';
import { BaseQueryBuilderService } from '../../services/base-query-builder.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SearchWidgetContainerComponent implements OnInit, OnDestroy, OnChanges {
    private searchFilterService;
    private queryBuilder;
    private componentFactoryResolver;
    content: ViewContainerRef;
    id: string;
    selector: string;
    settings: any;
    config: any;
    value: any;
    componentRef: ComponentRef<any>;
    constructor(searchFilterService: SearchFilterService, queryBuilder: BaseQueryBuilderService, componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private setupWidget;
    ngOnDestroy(): void;
    applyInnerWidget(): void;
    setValue(currentValue: string | any): void;
    hasValueSelected(): any;
    getCurrentValue(): any;
    getDisplayValue(): Observable<string> | null;
    resetInnerWidget(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchWidgetContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchWidgetContainerComponent, "adf-search-widget-container", never, { "id": "id"; "selector": "selector"; "settings": "settings"; "config": "config"; "value": "value"; }, {}, never, never, false>;
}
