import { SearchRequest } from '@alfresco/js-api';
import { SearchConfigurationInterface } from '../../common/interfaces/search-configuration.interface';
import * as i0 from "@angular/core";
export declare class SearchConfigurationService implements SearchConfigurationInterface {
    /**
     * Generates a request object with custom search parameters.
     *
     * @param searchTerm Term text to search for
     * @param maxResults Maximum number of search results to show in a page
     * @param skipCount The offset of the start of the page within the results list
     * @returns Query body defined by the parameters
     */
    generateQueryBody(searchTerm: string, maxResults: number, skipCount: number): SearchRequest;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchConfigurationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SearchConfigurationService>;
}
