import { AlfrescoApiService, AppConfigService, DataSorting } from '@alfresco/adf-core';
import { SearchConfiguration } from '../models/search-configuration.interface';
import { BaseQueryBuilderService } from './base-query-builder.service';
import { SearchCategory } from '../models/search-category.interface';
import { Node } from '@alfresco/js-api';
import { Observable } from 'rxjs';
import { FilterSearch } from '../models/filter-search.interface';
import { NodesApiService } from '../../common/services/nodes-api.service';
import * as i0 from "@angular/core";
export declare class SearchHeaderQueryBuilderService extends BaseQueryBuilderService {
    private nodeApiService;
    private customSources;
    activeFilters: FilterSearch[];
    constructor(appConfig: AppConfigService, alfrescoApiService: AlfrescoApiService, nodeApiService: NodesApiService);
    isFilterServiceActive(): boolean;
    loadConfiguration(): SearchConfiguration;
    setupCurrentPagination(maxItems: number, skipCount: number): void;
    setActiveFilter(columnActivated: string, filterValue: string): void;
    resetActiveFilters(): void;
    getActiveFilters(): FilterSearch[];
    isNoFilterActive(): boolean;
    removeActiveFilter(columnRemoved: string): void;
    setSorting(dataSorting: DataSorting[]): void;
    private getSortingFieldFromColumnName;
    getCategoryForColumn(columnKey: string): SearchCategory;
    setCurrentRootFolderId(currentFolderId: string): void;
    isCustomSourceNode(currentNodeId: string): boolean;
    getNodeIdForCustomSource(customSourceId: string): Observable<Node>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchHeaderQueryBuilderService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SearchHeaderQueryBuilderService>;
}
