/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, OnChanges } from '@angular/core';
import { RatingService } from './services/rating.service';
import * as i0 from "@angular/core";
/**
 * @deprecated Like component is not used in ACA/ADW/ACC, can be removed.
 */
export declare class LikeComponent implements OnChanges {
    private ratingService;
    /** Identifier of a node to apply likes to. */
    nodeId: string;
    /** Emitted when the "vote" gets changed. */
    changeVote: EventEmitter<any>;
    likesCounter: number;
    ratingType: string;
    isLike: boolean;
    constructor(ratingService: RatingService);
    ngOnChanges(): void;
    likeClick(): void;
    clean(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LikeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LikeComponent, "adf-like", never, { "nodeId": "nodeId"; }, { "changeVote": "changeVote"; }, never, never, false>;
}
