/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, OnChanges, OnDestroy } from '@angular/core';
import { RatingService } from './services/rating.service';
import { RatingEntry } from '@alfresco/js-api';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * @deprecated Rating component is not used in ACA/ADW/ACC, can be removed.
 */
export declare class RatingComponent implements OnChanges, OnDestroy {
    private ratingService;
    /** Identifier of the node to apply the rating to. */
    nodeId: string;
    average: number;
    ratingsCounter: number;
    ratingType: string;
    ratingValue: number;
    /** Emitted when the "vote" gets changed. */
    changeVote: EventEmitter<any>;
    stars: Array<any>;
    onDestroy$: Subject<boolean>;
    constructor(ratingService: RatingService);
    ngOnChanges(): void;
    ngOnDestroy(): void;
    calculateStars(): void;
    updateVote(vote: number): void;
    rateItem(vote: number): void;
    unRateItem(): void;
    refreshRating(ratingEntry: RatingEntry): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RatingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RatingComponent, "adf-rating", never, { "nodeId": "nodeId"; }, { "changeVote": "changeVote"; }, never, never, false>;
}
