/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { TranslationService } from '@alfresco/adf-core';
import { EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { TagService } from './services/tag.service';
import * as i0 from "@angular/core";
/**
 *
 * This component, provide a list of the tags relative a node with actions button to add or remove new tag
 */
export declare class TagActionsComponent implements OnChanges, OnInit, OnDestroy {
    private tagService;
    private translateService;
    /** The identifier of a node. */
    nodeId: string;
    /** Emitted when a tag is added successfully. */
    successAdd: EventEmitter<any>;
    /** Emitted when an error occurs. */
    error: EventEmitter<any>;
    /** Emitted when an action is chosen. */
    result: EventEmitter<any>;
    newTagName: string;
    tagsEntries: any;
    errorMsg: string;
    disableAddTag: boolean;
    private onDestroy$;
    constructor(tagService: TagService, translateService: TranslationService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    refreshTag(): void;
    addTag(): void;
    searchTag(searchTagName: string): any;
    cleanErrorMsg(): void;
    removeTag(tag: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TagActionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TagActionsComponent, "adf-tag-node-actions-list", never, { "nodeId": "nodeId"; }, { "successAdd": "successAdd"; "error": "error"; "result": "result"; }, never, never, false>;
}
