/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { TagService } from './services/tag.service';
import { PaginationModel } from '@alfresco/adf-core';
import { TagEntry } from '@alfresco/js-api';
import * as i0 from "@angular/core";
/**
 * This component provide a list of all the tag inside the ECM
 */
export declare class TagListComponent implements OnInit, OnDestroy {
    private tagService;
    /** Emitted when a tag is selected. */
    result: EventEmitter<any>;
    /**
     * Array of tags that are displayed
     */
    tagsEntries: TagEntry[];
    /**
     * Number of items per iteration
     */
    size: number;
    defaultPagination: PaginationModel;
    pagination: PaginationModel;
    isLoading: boolean;
    isSizeMinimum: boolean;
    private onDestroy$;
    constructor(tagService: TagService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    refreshTag(opts?: any): void;
    loadMoreTags(): void;
    loadLessTags(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TagListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TagListComponent, "adf-tag-list", never, {}, { "result": "result"; }, never, never, false>;
}
