/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { FlatTreeControl } from '@angular/cdk/tree';
import { OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
import { TreeBaseNode } from '../models/tree-view.model';
import { TreeViewDataSource } from '../data/tree-view-datasource';
import { TreeViewService } from '../services/tree-view.service';
import { NodeEntry } from '@alfresco/js-api';
import * as i0 from "@angular/core";
export declare class TreeViewComponent implements OnChanges {
    private treeViewService;
    /** Identifier of the node to display. */
    nodeId: string;
    /** Emitted when a node in the tree view is clicked. */
    nodeClicked: EventEmitter<NodeEntry>;
    /** Emitted when an invalid node id is given. */
    error: EventEmitter<any>;
    treeControl: FlatTreeControl<TreeBaseNode>;
    dataSource: TreeViewDataSource;
    constructor(treeViewService: TreeViewService);
    ngOnChanges(changes: SimpleChanges): void;
    onNodeClicked(node: NodeEntry): void;
    getLevel: (node: TreeBaseNode) => number;
    isExpandable: (node: TreeBaseNode) => boolean;
    hasChild: (_: number, nodeData: TreeBaseNode) => boolean;
    private loadTreeNode;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeViewComponent, "adf-tree-view-list", never, { "nodeId": "nodeId"; }, { "nodeClicked": "nodeClicked"; "error": "error"; }, never, never, false>;
}
