import { NodeAllowableOperationSubject } from '../../interfaces/node-allowable-operation-subject.interface';
import { UploadBase } from './base-upload/upload-base';
import { FileModel } from '../../common/models/file.model';
import * as i0 from "@angular/core";
export declare class UploadDragAreaComponent extends UploadBase implements NodeAllowableOperationSubject {
    private notificationService;
    private contentService;
    /**
     * Method called when files are dropped in the drag area.
     *
     * @param files - files dropped in the drag area.
     */
    onFilesDropped(files: File[]): void;
    /**
     * Called when a folder are dropped in the drag area
     *
     * @param folder - name of the dropped folder
     */
    onFolderEntityDropped(folder: any): void;
    /**
     * Show undo notification bar.
     *
     * @param latestFilesAdded - files in the upload queue enriched with status flag and xhr object.
     */
    showUndoNotificationBar(latestFilesAdded: FileModel[]): void;
    /**
     * Check if content is droppable
     *
     * @returns `true` or `false` considering the component options and node permissions
     */
    isDroppable(): boolean;
    /**
     * Handles 'upload-files' events raised by child components.
     *
     * @param event DOM event
     */
    onUploadFiles(event: CustomEvent): void;
    private isTargetNodeFolder;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadDragAreaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadDragAreaComponent, "adf-upload-drag-area", never, {}, {}, never, ["*"], false>;
}
