/*!
 * @license
 * Copyright © 2005-2023 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ViewContainerRef, TemplateRef } from '@angular/core';
import { VersionCompatibilityService } from './version-compatibility.service';
import * as i0 from "@angular/core";
export declare class VersionCompatibilityDirective {
    private templateRef;
    private viewContainer;
    private versionCompatibilityService;
    /** Minimum version required for component to work correctly . */
    set version(requiredVersion: string);
    constructor(templateRef: TemplateRef<any>, viewContainer: ViewContainerRef, versionCompatibilityService: VersionCompatibilityService);
    private validateAcsVersion;
    static ɵfac: i0.ɵɵFactoryDeclaration<VersionCompatibilityDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<VersionCompatibilityDirective, "[adf-acs-version]", never, { "version": "adf-acs-version"; }, {}, never, never, false>;
}
