import { AlfrescoApiService } from '@alfresco/adf-core';
import { ContentApi } from '@alfresco/js-api';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ContentVersionService {
    private alfrescoApi;
    private _contentApi;
    get contentApi(): ContentApi;
    constructor(alfrescoApi: AlfrescoApiService);
    /**
     * Get content URL for the given nodeId and specific version.
     *
     * @param nodeId The ID of the node
     * @param versionId The ID of the version
     * @param attachment Retrieve content as an attachment for download
     * @returns The URL address pointing to the content.
     */
    getVersionContentUrl(nodeId: string, versionId: string, attachment?: boolean): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentVersionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ContentVersionService>;
}
